Bug 58862 - ppmtompeg exits without error
ppmtompeg exits without error
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: netpbm (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-25 18:31 EST by Need Real Name
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-27 05:52:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-25 18:31:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
I recently upgraded a machine from RedHat 7.1 to RedHat 7.2 and discovered that 
my ability to make mpeg movies out of a series of jpeg images is no longer 
working. I am using the same parameter files from the 7.1 system and ppmtompeg 
is not complaining about any directives.

Version-Release number of selected component (if applicable):
Under 7.1: netpbm-9.9-5
Under 7.2: netpbm-9.14-2

How reproducible:
Always

Steps to Reproduce:
1. Grab several jpeg images of the same size and place them in a working 
directory.
2. Create a parameter file (see below for the one I am using)
3. run "ppmtompeg /path/to/your/param/file".
	

Actual Results:  Program begins to display information about the parameter 
file, then stops at a command prompt.  Here is actual output:

[movie@solo scripts]$ ppmtompeg conf/cam1.cfg
MPEG ENCODER STATS (1.5b)
------------------------
TIME STARTED:  Fri Jan 25 17:00:07 2002
MACHINE:  unknown
FIRST FILE:  /home/movie/cache/cam1/lake.0001.jpg
LAST FILE:  /home/movie/cache/cam1/lake.2000.jpg
PATTERN:  ibbpbbpbbpbbpbb
GOP_SIZE:  10
SLICES PER FRAME:  1
RANGE:  +/-10
PIXEL SEARCH:  FULL
[movie@solo scripts]$

Expected Results:  Under RedHat 7.1, the results would look like this:

MPEG ENCODER STATS (1.5b)
------------------------
TIME STARTED:  Tue Jan 22 22:00:03 2002
MACHINE:  unknown
FIRST FILE:  /home/movie/cache/cam1/lake.0001.jpg
LAST FILE:  /home/movie/cache/cam1/lake.2000.jpg
PATTERN:  ibbpbbpbbpbb
GOP_SIZE:  16
SLICES PER FRAME:  1
RANGE:  +/-10
PIXEL SEARCH:  FULL
PSEARCH:  EXHAUSTIVE
BSEARCH:  CROSS2
QSCALE:  8 10 25
REFERENCE FRAME:  DECODED


Creating new GOP (closed = T) before frame 0
FRAME 0 (I):  0 seconds  (1288320 bits/s output)
FRAME 3 (P):  I BLOCKS:  121;  P BLOCKS:  126   SKIPPED:  53  (0 seconds)
FRAME 1 (B):  I BLOCKS:  4;  B BLOCKS:  226   SKIPPED:  70 (1 seconds)
FRAME 2 (B):  I BLOCKS:  0;  B BLOCKS:  235   SKIPPED:  65 (1 seconds)
FRAME 6 (P):  I BLOCKS:  93;  P BLOCKS:  171   SKIPPED:  36  (0 seconds)
(snip)

Additional info:

Here is the parameter file I am using:

OUTPUT /home/movie/cache/cam1.mpg
INPUT_DIR /home/movie/cache/cam1
INPUT
lake.*.jpg [0001-2000]
END_INPUT
BASE_FILE_FORMAT JPEG
PATTERN IBBPBBPBBPBBPBB
PIXEL FULL
IQSCALE 6
PQSCALE 6
BQSCALE 6
GOP_SIZE 10
SLICES_PER_FRAME 1
RANGE 10
PSEARCH_ALG EXHAUSTIVE
BSEARCH_ALG CROSS2
REFERENCE_FRAME ORIGINAL
INPUT_CONVERT *
FORCE_ENCODE_LAST_FRAME
Comment 1 Need Real Name 2002-01-28 12:41:26 EST
FYI - I have tested this on three different RedHat 7.2 machines (all i386-
based) and have had the same problem.
Comment 2 Phil Knirsch 2002-02-27 05:52:37 EST
Verified and reproduce here. This is really strange. Will check if this problem
persits with the latest netpbm release.

Read ya, Phil
Comment 3 Phil Knirsch 2002-03-12 09:21:53 EST
OK, after updating to netpbm-9.24 it works again.

Updated version should be available via rawhide real soon now... :)

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.